# Binary Search

> You are given an array of integers `nums` which is sorted in ascending order,
> and an integer `target`. If `target` exists in `nums`, return its index.
> Otherwise, return `-1`.

## Example 1:

- Input: nums = [-1,0,3,5,9,12], target = 9
- Output: 4
- Explanation: 9 exists in nums and its index is 4

## Example 2:

- Input: nums = [-1,0,3,5,9,12], target = 2
- Output: -1
- Explanation: 2 does not exist in nums so return -1
